Bug 122513 - Javascript: only the current file is parsed
Javascript: only the current file is parsed
Status: RESOLVED FIXED
Product: javascript
Classification: Unclassified
Component: Editor
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Torbjorn Norbye
issues@javascript
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-21 14:40 UTC by entonio
Modified: 2009-02-27 14:26 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description entonio 2007-11-21 14:40:40 UTC
Sorry if this isn't the right place.
The javascript editor is coming out quite nice. There is still this issue, though:

Code navigation, find usages, etc, only seem to work within one .js file. Whereas any reasonably sized javascript
project will have the code split throughout several .js files. Quite possibly a library file will define functions whose
purpose is to be called from other files, but those will never be found by 'find usages' - conversely, while editing the
caller fnction, you won't be able to navigate to the definition of the lib function being called.

I propose that, as a first step, any .js files within the /web folder and subfolders be added to the internal search
tree. Later on one may think of alternate approaches.
Comment 1 Jan Lahoda 2007-12-28 18:48:35 UTC
=>scripting/javascript
Comment 2 Torbjorn Norbye 2008-03-11 02:41:42 UTC
This is implemented in 6.1.
Comment 3 entonio 2008-03-17 22:11:14 UTC
Hi. Pardon me if I'm being obtuse, but I've been trying the daily builds and haven't been able to get code navigation
nor find usages working, not even within the same file. Is this normal (still in development), or should I file new
reports whenever it doesn't work? Thanks.
Comment 4 polan 2008-06-13 13:48:06 UTC
Works fine. Verified.
Comment 5 entonio 2008-06-14 23:42:06 UTC
Yes, as of 200806111204 it's working.
Comment 6 Marian Mirilovic 2008-08-01 11:22:02 UTC
move back to consistent state RESOLVED/FIXED


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo